Subject: bug#6039: Building Emacs BZR with GCC 4.5.0

From: Vladimir Lomov <[email-masked]>
Date: Wed, 28 Apr 2010 12:07:00 +0900

** Chong Yidong [2010-04-27 11:38:18 -0400]:

> Vladimir Lomov <[email-masked]> writes:

>> Seems that if I pass option '-fno-optimize-sibling-calls' to configure
>> (CFLAGS="-O2 -fno-optimize-sibling-calls")
>> then compiled emacs works
>> (I run it under gdb with options '-Q -D' and without any options
>> without segfault) but I don't know how this option affects the emacs.

> Yep, see

>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6031

> It's a GCC bug.
It is nice :).

Actually I found more puzzling thing. If I run configure with the same
options as I described earlier but define CFLAGS variable like this
CFLAGS="-O3"
compile emacs source and run emacs within gdb:
(gdb) run -Q -D
or 
(gdb) run
it don't segfault.
(bzr revno && bzr revno --tree: 100061)

May be there are some tests to check compiled executable?

-- 
A guy has to get fresh once in a while so a girl doesn't lose her confidence.